## maui-station 4.0.2

=== debian/changelog ===
maui-station (4.0.2-0zneon+24.04+noble+release+build5) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 23:13:35 +0000

maui-station (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 28 May 2025 19:53:22 +0000

maui-station (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Dec 2024 19:49:36 +0000

maui-station (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 Sep 2024 19:49:31 +0000

maui-station (3.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:35:10 +0000

station (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 30 Aug 2023 05:35:07 +0000

station (3.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 30 Aug 2023 05:35:07 +0000

station (3.0.0-0neon) jammy; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Fri, 26 May 2023 04:39:06 +0000

## maui-station 4.0.2+p24.04+vstable+git20250921.0627

=== debian/changelog ===
maui-station (4.0.2+p24.04+vstable+git20250921.0627-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Sep 2025 06:27:15 +0000

## maui-station 4.0.2+p24.04+vstable+git20251015.1911

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(STATION_VERSION 4.0.3)
add_compile_definitions(APP_COPYRIGHT_NOTICE="© 2019-2025 Maui Development Team")

project(station LANGUAGES CXX VERSION ${STATION_VERSION})

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(QT_MAJOR_VERSION 6)

set(REQUIRED_QT_VERSION 6.5.2)
set(REQUIRED_KF_VERSION 5.240.0)

find_package(ECM ${REQUIRED_KF_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEClangFormat)
include(ECMSetupVersion)
include(ECMSourceVersionControl)
include(FeatureSummary)

find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Qml Quick Widgets DBus)
find_package(KF6 ${REQUIRED_KF_VERSION} REQUIRED COMPONENTS I18n CoreAddons)

find_package(MauiKit4 REQUIRED COMPONENTS Terminal FileBrowsing)

if(${ECM_SOURCE_UNDER_VERSION_CONTROL})
    execute_process(
        COMMAND git rev-parse --abbrev-ref HEAD
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_BRANCH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    # Get the latest abbreviated commit hash of the working branch
    execute_process(
        COMMAND git log -1 --format=%h
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_COMMIT_HASH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    add_definitions(-DGIT_COMMIT_HASH="${GIT_COMMIT_HASH}")
    add_definitions(-DGIT_BRANCH="${GIT_BRANCH}")

else()
    add_definitions(-DGIT_COMMIT_HASH="${STATION_VERSION}")
    add_definitions(-DGIT_BRANCH="Stable")
endif()

ecm_setup_version(${STATION_VERSION}
    VARIABLE_PREFIX STATION
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/station_version.h")

add_subdirectory(src)

ki18n_install(po)

install(FILES org.kde.station.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

## maui-station 4.0.2+p24.04+vstable+git20250930.0540

=== debian/changelog ===
maui-station (4.0.2+p24.04+vstable+git20250930.0540-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:40:22 +0000

=== debian/control ===
Source: maui-station
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               libmauikitfilebrowsing-dev,
               libmauikitterminal-dev,
               mauikit-dev,
               mauiman-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/maui/maui-station
Vcs-Git: https://invent.kde.org/neon/neon-packaging/maui-station.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/maui-station
Maintainer: Neon CI <neon@kde.org>

Package: maui-station
Architecture: any
Depends: qml6-module-org-mauikit-filebrowsing,
         qml6-module-org-mauikit-terminal,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Maui - Convergent terminal emulator
 Terminal emulator with quick functions support for touch.

Package: station
Depends: maui-station, ${misc:Depends}
Architecture: all
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

## maui-station 4.0.2+p24.04+vstable+git20251015.1911

=== debian/changelog ===
maui-station (4.0.2+p24.04+vstable+git20251015.1911-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 19:11:47 +0000

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt6

%:
	dh $@ --buildsystem=cmake

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/maui/station/([\d\.]+)/@PACKAGE@-([\d.]+).tar.xz

## maui-station 4.0.2+p24.04+vstable+git20260130.1003

=== debian/changelog ===
maui-station (4.0.2+p24.04+vstable+git20260130.1003-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:03:51 +0000

## maui-station 4.0.2+p24.04+vstable+git20260205.0606

=== debian/changelog ===
maui-station (4.0.2+p24.04+vstable+git20260205.0606-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:06:36 +0000

## maui-station 4.0.2+p24.04+vunstable+git20251123.2001

=== debian/changelog ===
maui-station (4.0.2+p24.04+vunstable+git20251123.2001-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 20:01:40 +0000

## maui-station 4.0.2+p24.04+vunstable+git20251211.0357

=== debian/changelog ===
maui-station (4.0.2+p24.04+vunstable+git20251211.0357-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 03:57:14 +0000

## maui-station 4.0.2+p24.04+vunstable+git20260205.0817

=== debian/changelog ===
maui-station (4.0.2+p24.04+vunstable+git20260205.0817-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:17:11 +0000

## maui-station 4.0.2+p24.04+vunstable+git20260208.0706

=== debian/changelog ===
maui-station (4.0.2+p24.04+vunstable+git20260208.0706-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 08 Feb 2026 07:06:23 +0000
